function Create(self)
	local Mo = MovableMan:GetRootMOID(SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y))
	if Mo then
		local Parent = MovableMan:GetMOFromID(Mo)
		if Parent then
			Parent = ToActor(Parent)
			
			local Missile = CreateAEmitter("Particle Guided Missile", "GuidedMissile.rte")
			if Missile then
				local ang = Parent:GetAimAngle(true)
				Missile.Pos = self.Pos + Vector(20,0):RadRotate(ang)
				
				if ang > 1.571 then	-- lob
					ang = ang - 0.2
				else
					ang = ang + 0.2
				end
				
				Missile.Vel = Parent.Vel + Vector(18,0):RadRotate(ang)
				Missile.RotAngle = ang
				Missile.Sharpness = Parent.ID
				MovableMan:AddParticle(Missile)
			end
		end
	end
	
	self.ToDelete = true
end